org.codehaus.plexus.component.discovery

## Class DefaultComponentDiscoverer

- java.lang.Object
- - org.codehaus.plexus.component.discovery.AbstractResourceBasedComponentDiscoverer
  - - org.codehaus.plexus.component.discovery.DefaultComponentDiscoverer

All Implemented Interfaces:
  ComponentDiscoverer

    public class DefaultComponentDiscoverer
    extends AbstractResourceBasedComponentDiscoverer

Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DefaultComponentDiscoverer()`

### Method Summary

Methods
`ComponentSetDescriptor` `createComponentDescriptors(java.io.Reader componentDescriptorReader, java.lang.String source, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`java.lang.String` `getComponentDescriptorLocation()`

### Methods inherited from class org.codehaus.plexus.component.discovery.AbstractResourceBasedComponentDiscoverer

`findComponents`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComponentDiscoverer

    public DefaultComponentDiscoverer()

### Method Detail

#### getComponentDescriptorLocation

    public java.lang.String getComponentDescriptorLocation()

Specified by:
  `getComponentDescriptorLocation` in class `AbstractResourceBasedComponentDiscoverer`

#### createComponentDescriptors

    public ComponentSetDescriptor createComponentDescriptors(java.io.Reader componentDescriptorReader,
                                                    java.lang.String source,
                                                    org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                                      throws PlexusConfigurationException

Specified by:
  `createComponentDescriptors` in class `AbstractResourceBasedComponentDiscoverer`
Throws:
  `PlexusConfigurationException`